ConsoleLogger (Grails 6.0.0)

Package: grails.build.logging

## [Java] Interface ConsoleLogger

-     public interface ConsoleLogger

  Interface containing methods for logging to the Grails console

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addStatus(java.lang.String msg)` Adds a new message that won't be overwritten by {#updateStatus(String)}
    `` | `public void` | `error(java.lang.String msg)` Prints an error message
    `` | `public void` | `error(java.lang.String msg, java.lang.Throwable error)` Use to log an error
    `` | `public void` | `error(java.lang.String label, java.lang.String message)` Log an error with a specific error label
    `` | `public void` | `error(java.lang.Throwable error)` Use to log an error
    `` | `public void` | `indicateProgress()` Indicates progress with the default progress indicator
    `` | `public void` | `indicateProgress(int number, int total)` Indicate progress for a number and total
    `` | `public void` | `indicateProgress(int number)` Indicates progress by number
    `` | `public void` | `indicateProgressPercentage(long number, long total)` Indicates progress as a percentage for the given number and total
    `` | `public void` | `info(java.lang.String msg)` Synonym for #log
    `` | `public void` | `log(java.lang.String msg)` Logs a message below the current status message
    `` | `public void` | `updateStatus(java.lang.String msg)` Updates the current state message
    `` | `public void` | `verbose(java.lang.String msg)` Outputs a verbose message
    `` | `public void` | `warn(java.lang.String msg)` Prints a warning message
    `` | `public void` | `warning(java.lang.String msg)` Prints a warning message

- - ### Method Detail

    - #### public void addStatus(java.lang.String msg)

      Adds a new message that won't be overwritten by {#updateStatus(String)}

      Parameters:
        `msg` - The message

    - #### public void error(java.lang.String msg)

      Prints an error message

      Parameters:
        `msg` - The error message

    - #### public void error(java.lang.String msg, java.lang.Throwable error)

      Use to log an error

      Parameters:
        `msg` - The message
        `error` - The error

    - #### public void error(java.lang.String label, java.lang.String message)

      Log an error with a specific error label

      Parameters:
        `label` - The label
        `message` - The message

    - #### public void error(java.lang.Throwable error)

      Use to log an error

      Parameters:
        `error` - The error

    - #### public void indicateProgress()

      Indicates progress with the default progress indicator

    - #### public void indicateProgress(int number, int total)

      Indicate progress for a number and total

      Parameters:
        `number` - The current number
        `total` - The total number

    - #### public void indicateProgress(int number)

      Indicates progress by number

      Parameters:
        `number` - The number

    - #### public void indicateProgressPercentage(long number, long total)

      Indicates progress as a percentage for the given number and total

      Parameters:
        `number` - The number
        `total` - The total

    - #### public void info(java.lang.String msg)

      Synonym for #log

      Parameters:
        `msg` - The message to log

    - #### public void log(java.lang.String msg)

      Logs a message below the current status message

      Parameters:
        `msg` - The message to log

    - #### public void updateStatus(java.lang.String msg)

      Updates the current state message

      Parameters:
        `msg` - The message

    - #### public void verbose(java.lang.String msg)

      Outputs a verbose message

      Parameters:
        `msg` - The message

    - #### public void warn(java.lang.String msg)

      Prints a warning message

      Parameters:
        `msg` - The warning message

    - #### public void warning(java.lang.String msg)

      Prints a warning message

      Parameters:
        `msg` - The warning message